INTERFACE
 SUBROUTINE m7_dconc (kidia, kfdia, klon, klev, paerml, paernl, pm6dry)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7 ,ONLY : sigma, crdiv,&
 & nmod, naermod, nsol,&
 & iso4ns,iso4ks, iso4as,&
 & ibcks, ibcas, ibccs,&
 & iocks, iocas, ioccs,&
 & issas, isscs,&
 & iduas, iducs,&
 & avo, wh2so4,&
 & dh2so4,dbc, doc,&
 & dnacl, ddust,&
 & cmr2ram,cmedr2mmedr 
INTEGER(KIND=JPIM),INTENT(IN) :: kidia, kfdia, klon, klev
REAL(KIND=JPRB),INTENT(IN) ::&
 & pm6dry(klon ,klev,nsol) 
REAL(KIND=JPRB),INTENT(INOUT) ::&
 & paerml(klon ,klev,naermod), paernl(klon ,klev,nmod) 
END SUBROUTINE m7_dconc
END INTERFACE
